org.encog.ml.svm

## Enum KernelType

- java.lang.Object
- - java.lang.Enum<KernelType>
  - - org.encog.ml.svm.KernelType

- All Implemented Interfaces:
    Serializable, Comparable<KernelType>

      public enum KernelType
      extends Enum<KernelType>

  The type of SVM kernel in use.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Linear` Linear kernel.
    `Poly` Poly kernel.
    `Precomputed` Precomputed kernel.
    `RadialBasisFunction` Radial basis function kernel.
    `Sigmoid` Sigmoid kernel.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KernelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KernelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Linear

          public static final KernelType Linear

      Linear kernel.

    - #### Poly

          public static final KernelType Poly

      Poly kernel.

    - #### RadialBasisFunction

          public static final KernelType RadialBasisFunction

      Radial basis function kernel.

    - #### Sigmoid

          public static final KernelType Sigmoid

      Sigmoid kernel.

    - #### Precomputed

          public static final KernelType Precomputed

      Precomputed kernel.

  - ### Method Detail

    - #### values

          public static KernelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KernelType c : KernelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KernelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.